/**
 * @license
 * Copyright 2021 SimpleCore All Rights Reserved.
 *
 * Use of this source code is governed private licensing for
 * internal SimpleCore projects
 */
import { ElementRef, OnDestroy, OnInit, Renderer2 } from "@angular/core";
import * as i0 from "@angular/core";
export declare class PressableDirective implements OnInit, OnDestroy {
    private element;
    private renderer;
    constructor(element: ElementRef, renderer: Renderer2);
    ngOnInit(): void;
    ngOnDestroy(): void;
    private setPressed;
    static ɵfac: i0.ɵɵFactoryDeclaration<PressableDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<PressableDirective, "[corePressable]", never, {}, {}, never, never, false, never>;
}
