import { NumericDayOfWeek } from './day-of-week';
export declare function setDay(date: Date, dayOfWeek: NumericDayOfWeek): Date;
export declare function addDays(date: Date, days: number): Date;
export declare function setDate(date: Date, dayOfMonth: number): Date;
export declare function addMonths(date: Date, months: number): Date;
export declare function setMonth(date: Date, month: number): Date;
export declare function startOfDay(date: Date): Date;
export declare function startOfMonth(date: Date): Date;
export declare function getDaysOfMonth(month: Date): Date[];
export declare function numberOfDaysInMonth(date: Date): number;
export declare function isSameDate(date1: Date, date2: Date): boolean;
export declare function areDatesInSameMonth(date1: Date, date2: Date): boolean;
export declare function isDateAfter(date1: Date, date2: Date): boolean;
export declare function isValidDate(value?: any): value is Date;
export declare function toISODateString(date: Date): string;
export declare const monthAndYearFormatOptions: {
    readonly year: "numeric";
    readonly month: "long";
};
export declare const localeDateFormatDayPart: RegExp;
export declare const getFallbackLocaleMonthAndYearFormat: (memoizedParameter: string) => string;
export declare const getLocaleMonthAndYearFormat: (memoizedParameter: string) => string;
export declare function toLocaleStringSupportsLocales(): boolean;
