/**
 * @license
 * Copyright 2021 SimpleCore All Rights Reserved.
 *
 * Use of this source code is governed private licensing for
 * internal SimpleCore projects
 */
import { ElementRef, OnInit, Renderer2 } from '@angular/core';
import * as i0 from "@angular/core";
export declare class CoreInput implements OnInit {
    private element;
    private renderer;
    appearance: string;
    colorOverride: string | undefined;
    constructor(element: ElementRef, renderer: Renderer2);
    ngOnInit(): void;
    private overrideBackgroundColor;
    static ɵfac: i0.ɵɵFactoryDeclaration<CoreInput, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CoreInput, "input[coreInput]", ["coreInput"], { "appearance": "appearance"; "colorOverride": "colorOverride"; }, {}, never, ["*"], false, never>;
}
export declare class CoreLabel implements OnInit {
    constructor();
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CoreLabel, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CoreLabel, "label[coreLabel]", ["coreLabel"], {}, {}, never, ["*"], false, never>;
}
