import { AfterViewInit, ElementRef, OnInit, Renderer2 } from '@angular/core';
import * as i0 from "@angular/core";
export declare type ProgressBarMode = 'determinate' | 'indeterminate';
export declare class CoreProgressBar implements OnInit, AfterViewInit {
    private renderer;
    color: string | undefined;
    progressBarMode: ProgressBarMode;
    set value(val: number);
    private _value;
    slider: ElementRef;
    mainLine: ElementRef;
    sliderSecondary: ElementRef;
    private viewInitialized;
    constructor(renderer: Renderer2);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    private setDeterminateProgress;
    static ɵfac: i0.ɵɵFactoryDeclaration<CoreProgressBar, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CoreProgressBar, "core-progress-bar", ["coreProgressBar"], { "color": "color"; "progressBarMode": "progressBarMode"; "value": "value"; }, {}, never, never, false, never>;
}
