/**
 * @license
 * Copyright 2021 SimpleCore All Rights Reserved.
 *
 * Use of this source code is governed private licensing for
 * internal SimpleCore projects
 */
import { AfterViewInit, ElementRef, Renderer2 } from '@angular/core';
import * as i0 from "@angular/core";
export declare class CoreVStack implements AfterViewInit {
    private renderer;
    vStack: ElementRef;
    overrideMarginSize: number | undefined;
    marginSize: "small" | "medium" | "large" | "none";
    alignItems: "start" | "center" | "end" | "stretch";
    constructor(renderer: Renderer2);
    ngAfterViewInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CoreVStack, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CoreVStack, "core-vstack", ["coreVStack"], { "overrideMarginSize": "overrideMarginSize"; "marginSize": "marginSize"; "alignItems": "alignItems"; }, {}, never, ["*"], false, never>;
}
export declare class CoreHStack implements AfterViewInit {
    private renderer;
    hStack: ElementRef;
    overrideMarginSize: number | undefined;
    marginSize: "small" | "medium" | "large" | "none";
    wrap: boolean;
    alignItems: "start" | "center" | "end" | "stretch";
    constructor(renderer: Renderer2);
    ngAfterViewInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CoreHStack, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CoreHStack, "core-hstack", ["coreHStack"], { "overrideMarginSize": "overrideMarginSize"; "marginSize": "marginSize"; "wrap": "wrap"; "alignItems": "alignItems"; }, {}, never, ["*"], false, never>;
}
export declare const avoidLast: (i: number, array: ArrayLike<any>) => boolean;
