/**
 * @license
 * Copyright 2020 SimpleCore All Rights Reserved.
 *
 * Use of this source code is governed private licensing for
 * internal SimpleCore projects
 */
import { ElementRef, OnInit, Renderer2 } from '@angular/core';
import * as i0 from "@angular/core";
export declare class ButtonDirective implements OnInit {
    private renderer;
    private element;
    size: "sm" | "lg" | "md";
    themeColor: string;
    constructor(renderer: Renderer2, element: ElementRef);
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ButtonDirective, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ButtonDirective, "button[coreButton]", ["coreButton"], { "size": "size"; "themeColor": "themeColor"; }, {}, never, ["*"], false, never>;
}
