/**
 * @license
 * Copyright 2021 SimpleCore All Rights Reserved.
 *
 * Use of this source code is governed private licensing for
 * internal SimpleCore projects
 */
import { AfterViewChecked, AfterViewInit, ElementRef, Renderer2 } from '@angular/core';
import * as i0 from "@angular/core";
export declare class CoreCard implements AfterViewInit, AfterViewChecked {
    private renderer;
    paddingSize: "extra-large" | "large" | "medium" | "small";
    neumorphic: boolean;
    cardEl: ElementRef;
    overridePadding: string;
    topAndBottomShadow: boolean;
    private neumorphicShadowIsSet;
    constructor(renderer: Renderer2);
    ngAfterViewInit(): void;
    ngAfterViewChecked(): void;
    private setNeumorphicShadow;
    private buildBoxShadowString;
    static ɵfac: i0.ɵɵFactoryDeclaration<CoreCard, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CoreCard, "core-card", ["coreCard"], { "paddingSize": "paddingSize"; "neumorphic": "neumorphic"; "overridePadding": "overridePadding"; "topAndBottomShadow": "topAndBottomShadow"; }, {}, never, ["*"], false, never>;
}
