/**
 * @license
 * Copyright 2021 SimpleCore All Rights Reserved.
 *
 * Use of this source code is governed private licensing for
 * internal SimpleCore projects
 */
import { ElementRef, OnDestroy, OnInit, Renderer2 } from '@angular/core';
import * as i0 from "@angular/core";
export declare class CoreSelect implements OnInit, OnDestroy {
    private renderer;
    private element;
    private readonly platformId;
    corePlaceholderText: string;
    colorOverride: string | undefined;
    private mutationObserver;
    constructor(renderer: Renderer2, element: ElementRef, platformId: any);
    ngOnInit(): void;
    ngOnDestroy(): void;
    private listenToFloatLabel;
    private applyLabelFloat;
    overrideBackgroundColor(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CoreSelect, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CoreSelect, "select[coreSelect]", ["coreSelect"], { "corePlaceholderText": "corePlaceholderText"; "colorOverride": "colorOverride"; }, {}, never, ["*"], false, never>;
}
export declare class CoreSelectLabel implements OnInit {
    constructor();
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CoreSelectLabel, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CoreSelectLabel, "label[coreSelectLabel]", ["coreSelectLabel"], {}, {}, never, ["*"], false, never>;
}
